Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2005LEDControl Class Reference

`#include <GT2005LEDControl.h>`

Inheritance diagram for GT2005LEDControl:

[legend]
Collaboration diagram for GT2005LEDControl:

[legend]
List of all members.

## Public Member Functions
| GT2005LEDControl (LEDControlInterfaces &interfaces)
virtual void | execute ()
| Executes the module.
## Private Types
enum | Ers7LEDs { off = 0, headOrange = 0x00000001, headWhite = 0x00000002, modeRed = 0x00000004, modeGreen = 0x00000008, modeBlue = 0x00000010, wireless = 0x00000020, face1 = 0x00000040, face2 = 0x00000080, face3 = 0x00000100, face4 = 0x00000200, face5 = 0x00000400, face6 = 0x00000800, face7 = 0x00001000, face8 = 0x00002000, face9 = 0x00004000, face10 = 0x00008000, face11 = 0x00010000, face12 = 0x00020000, face13 = 0x00040000, face14 = 0x00080000, backFrontBlue = 0x00100000, backFrontWhite = 0x00200000, backMiddleOrange = 0x00400000, backMiddleWhite = 0x00800000, backRearRed = 0x01000000, backRearWhite = 0x02000000 }
## Private Member Functions
void | showWLANStatus ()
void | showCognitionFps ()
void | showGameRelated ()
void | showBatteryState ()
void | showRequestedFaceLEDs ()
void | showRequestedBackWhiteLEDs ()
void | showRequestedBackColoredLEDs ()
void | showRequestedHeadLEDs ()
void | showMotionProcessFrameLostWarning ()
void | showCognitionProcessFrameLostWarning ()
## Private Attributes
int | executeCallCount
| Internal call counter.
int | ledCode
unsigned long int | lastMotionFrameNumber

## Member Enumeration Documentation

enum GT2005LEDControl::Ers7LEDs`[private]`

  | Enumeration values:
  off |
  headOrange |
  headWhite |
  modeRed |
  modeGreen |
  modeBlue |
  wireless |
  face1 |
  face2 |
  face3 |
  face4 |
  face5 |
  face6 |
  face7 |
  face8 |
  face9 |
  face10 |
  face11 |
  face12 |
  face13 |
  face14 |
  backFrontBlue |
  backFrontWhite |
  backMiddleOrange |
  backMiddleWhite |
  backRearRed |
  backRearWhite |
Definition at line 43 of file GT2005LEDControl.h.

## Constructor & Destructor Documentation

GT2005LEDControl::GT2005LEDControl | ( | LEDControlInterfaces & | interfaces | ) |

| Definition at line 19 of file GT2005LEDControl.cpp.

## Member Function Documentation

void GT2005LEDControl::execute | ( |  | ) | `[virtual]`

| Executes the module. Reimplemented from Module. Definition at line 337 of file GT2005LEDControl.cpp. References LEDValue::data, DEBUG_RESPONSE, DEBUG_RESPONSE_NOT, executeCallCount, ledCode, LEDValue::modeA, off, showBatteryState(), showCognitionFps(), showCognitionProcessFrameLostWarning(), showMotionProcessFrameLostWarning(), showRequestedBackColoredLEDs(), showRequestedBackWhiteLEDs(), showRequestedFaceLEDs(), showRequestedHeadLEDs(), and showWLANStatus().

Here is the call graph for this function:

void GT2005LEDControl::showWLANStatus | ( |  | ) | `[private]`

| Definition at line 264 of file GT2005LEDControl.cpp. References ledCode, and off. Referenced by execute().

void GT2005LEDControl::showCognitionFps | ( |  | ) | `[private]`

| Definition at line 210 of file GT2005LEDControl.cpp. References LEDRequest::cognitionFps, and ledCode. Referenced by execute().

void GT2005LEDControl::showGameRelated | ( |  | ) | `[private]`

void GT2005LEDControl::showBatteryState | ( |  | ) | `[private]`

| Definition at line 181 of file GT2005LEDControl.cpp. References executeCallCount, SystemCall::getRemainingPower(), and ledCode. Referenced by execute().

Here is the call graph for this function:

void GT2005LEDControl::showRequestedFaceLEDs | ( |  | ) | `[private]`

| Definition at line 58 of file GT2005LEDControl.cpp. References executeCallCount, LEDRequest::faceLED, and ledCode. Referenced by execute().

void GT2005LEDControl::showRequestedBackWhiteLEDs | ( |  | ) | `[private]`

| Definition at line 91 of file GT2005LEDControl.cpp. References LEDRequest::backFrontWhiteLED, LEDRequest::backMiddleWhiteLED, LEDRequest::backRearWhiteLED, executeCallCount, and ledCode. Referenced by execute().

void GT2005LEDControl::showRequestedBackColoredLEDs | ( |  | ) | `[private]`

| Definition at line 135 of file GT2005LEDControl.cpp. References LEDRequest::backFrontBlueLED, LEDRequest::backMiddleOrangeLED, LEDRequest::backRearRedLED, executeCallCount, and ledCode. Referenced by execute().

void GT2005LEDControl::showRequestedHeadLEDs | ( |  | ) | `[private]`

| Definition at line 25 of file GT2005LEDControl.cpp. References executeCallCount, LEDRequest::headOrangeLED, LEDRequest::headWhiteLED, and ledCode. Referenced by execute().

void GT2005LEDControl::showMotionProcessFrameLostWarning | ( |  | ) | `[private]`

| Definition at line 310 of file GT2005LEDControl.cpp. References lastMotionFrameNumber, and ledCode. Referenced by execute().

void GT2005LEDControl::showCognitionProcessFrameLostWarning | ( |  | ) | `[private]`

| Definition at line 284 of file GT2005LEDControl.cpp. References ledCode, and LEDRequest::showCognitionFrameLostWarning. Referenced by execute().

## Member Data Documentation

int GT2005LEDControl::executeCallCount`[private]`

| Internal call counter. Definition at line 37 of file GT2005LEDControl.h. Referenced by execute(), showBatteryState(), showRequestedBackColoredLEDs(), showRequestedBackWhiteLEDs(), showRequestedFaceLEDs(), and showRequestedHeadLEDs().

int GT2005LEDControl::ledCode`[private]`

| Definition at line 39 of file GT2005LEDControl.h. Referenced by execute(), showBatteryState(), showCognitionFps(), showCognitionProcessFrameLostWarning(), showMotionProcessFrameLostWarning(), showRequestedBackColoredLEDs(), showRequestedBackWhiteLEDs(), showRequestedFaceLEDs(), showRequestedHeadLEDs(), and showWLANStatus().

unsigned long int GT2005LEDControl::lastMotionFrameNumber`[private]`

| Definition at line 41 of file GT2005LEDControl.h. Referenced by showMotionProcessFrameLostWarning().

The documentation for this class was generated from the following files:

- Modules/LEDControl/GT2005LEDControl.h
- Modules/LEDControl/GT2005LEDControl.cpp